//---------------------------------------------------------------------------

#ifndef CardH
#define CardH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include <DBClient.hpp>
#include <DB.hpp>
#include <DBLocal.hpp>
#include <DBLocalS.hpp>
#include <Provider.hpp>
#include <QActnList.hpp>
#include <QComCtrls.hpp>
#include <QDBCtrls.hpp>
#include <QDBGrids.hpp>
#include <QExtCtrls.hpp>
#include <QGrids.hpp>
#include <QMask.hpp>
#include <SqlExpr.hpp>
#include <FMTBcd.hpp>
//---------------------------------------------------------------------------
class TCardWin : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
  TDBGrid *DBGrid1;
  TDBNavigator *DBNavigator1;
  TDBText *DBText1;
  TDBEdit *DBEdit2;
  TLabel *Label1;
  TLabel *Label2;
  TLabel *Label3;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *Label6;
  TDBEdit *DBEdit11;
  TLabel *Label14;
  TLabel *Label15;
  TDBText *DBText2;
  TButton *ApplyButton;
  TDataSource *InputDataSource;
  TActionList *ActionList1;
  TAction *ApplyAction;
  TAction *CloseAction;
  TDataSource *CardDataSource;
  TSQLClientDataSet *CardDataSet;
  TSQLClientDataSet *InputDataSet;
  TDBCheckBox *DBCheckBox1;
  TDBEdit *DBEdit4;
  TDBLookupComboBox *DBLookupComboBox1;
  TDBLookupComboBox *SourceCombo;
  TLabel *Label7;
  TDataSource *SourceDataSource;
  TDataSource *ChannelDataSource;
  TSQLClientDataSet *SourceDataSet;
  TLabel *Label8;
  TDBComboBox *CardtypeCombo;
  TLabel *Label9;
  TLabel *Label10;
  TDBEdit *DBEdit3;
  TDBLookupComboBox *DBLookupComboBox3;
  TTabControl *AnalogPane;
  TLabel *Label11;
  TLabel *AudioDevLabel;
  TLabel *Label13;
  TLabel *AudioRateLabel;
  TLabel *Label19;
  TTabControl *DVBPane;
  TLabel *Label18;
  TDBCheckBox *DBCheckBox2;
  TDBComboBox *DBComboBox2;
  TDBComboBox *DBComboBox3;
  TLabel *Label17;
  TDBComboBox *DBComboBox4;
  TDBComboBox *DBComboBox5;
  TDBComboBox *AudioDevCombo;
  TDBComboBox *DBComboBox7;
  TDBComboBox *AudioRateCombo;
  TGroupBox *GroupBox1;
  TBevel *Bevel1;
  TLabel *Label20;
  TClientDataSet *ClientDataSet1;
  TDataSetProvider *DataSetProvider1;
  TSQLClientDataSet *ChannelDataSet;
  void __fastcall ApplyActionExecute(TObject *Sender);
  void __fastcall InputDataSetNewRecord(TDataSet *DataSet);
  void __fastcall CardtypeComboChange(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall SourceComboClick(TObject *Sender);
  void __fastcall InputDataSetAfterScroll(TDataSet *DataSet);
  void __fastcall SourceDataSetAfterScroll(TDataSet *DataSet);
private:	// Benutzer-Deklarationen
protected:
  int cardid;
  bool __fastcall isDirty();
public:		// Benutzer-Deklarationen
  __fastcall TCardWin(TComponent* Owner);
  void __fastcall SetCardID(int cardid);
  void __fastcall NewCard();
};
//---------------------------------------------------------------------------
extern PACKAGE TCardWin *CardWin;
//---------------------------------------------------------------------------
#endif
