//---------------------------------------------------------------------------

#ifndef ChannelH
#define ChannelH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include <DBClient.hpp>
#include <DB.hpp>
#include <DBLocal.hpp>
#include <DBLocalS.hpp>
#include <DBXpress.hpp>
#include <Provider.hpp>
#include <QDBCtrls.hpp>
#include <QDBGrids.hpp>
#include <QExtCtrls.hpp>
#include <QGrids.hpp>
#include <SqlExpr.hpp>
#include <QMask.hpp>
#include <QComCtrls.hpp>
#include <QActnList.hpp>
//---------------------------------------------------------------------------
class TChannelWin : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
        TDBGrid *DBGrid1;
        TDBNavigator *DBNavigator1;
        TDataSource *ChannelDataSource;
        TDBText *DBText1;
        TDBEdit *DBEdit1;
        TDBEdit *DBEdit2;
        TDBEdit *DBEdit4;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
  TLabel *ChannumOldLabel;
        TLabel *Label6;
        TDBEdit *DBEdit3;
        TTabControl *AnalogPane;
        TDBEdit *DBEdit5;
  TDBEdit *ChannumRealEdit;
        TDBEdit *DBEdit7;
        TDBEdit *DBEdit8;
        TDBEdit *DBEdit9;
        TDBEdit *DBEdit10;
        TLabel *Label7;
        TLabel *Label8;
        TLabel *Label9;
        TLabel *Label10;
  TLabel *ChannumReal1Label;
        TLabel *Label12;
  TLabel *ChannumReal2Label;
        TLabel *Label23;
  TLabel *Label24;
        TDBEdit *DBEdit11;
        TActionList *ActionList1;
        TDataSource *SourceDataSource;
        TDBEdit *DBEdit12;
        TDBComboBox *DBComboBox1;
        TLabel *Label14;
        TLabel *Label15;
        TLabel *Label16;
        TLabel *Label17;
        TDBText *DBText2;
        TButton *ApplyButton;
  TAction *ApplyAction;
  TAction *CloseAction;
  TSQLClientDataSet *SourceDataSet;
  TSQLClientDataSet *ChannelDataSet;
  TDBNavigator *DBNavigator2;
  TLabel *PresetLabel;
  TGroupBox *GroupBox1;
  TSQLClientDataSet *CardtypeDataSet;
  TLabel *Label44;
  TTabControl *DVBPane;
  TTabControl *DVBCPane;
  TTabControl *DVBTPane;
  TLabel *Label32;
  TLabel *Label33;
  TLabel *Label34;
  TLabel *Label35;
  TLabel *Label36;
  TLabel *Label37;
  TLabel *Label38;
  TLabel *Label39;
  TDBComboBox *DBComboBox3;
  TDBComboBox *DBComboBox4;
  TDBComboBox *DBComboBox5;
  TDBComboBox *DBComboBox6;
  TDBComboBox *DBComboBox7;
  TDBComboBox *DBComboBox8;
  TDBComboBox *DBComboBox9;
  TDBComboBox *DBComboBox10;
  TLabel *Label19;
  TDBEdit *DBEdit13;
  TDBEdit *DBEdit14;
  TLabel *Label21;
  TLabel *Label22;
  TLabel *Label25;
  TTabControl *DVBSPane;
  TLabel *Label28;
  TLabel *Label29;
  TDBEdit *DBEdit17;
  TDBComboBox *DBComboBox2;
  TDBEdit *DBEdit19;
  TDBEdit *DBEdit20;
  TLabel *Label42;
  TLabel *Label43;
  TSQLClientDataSet *DVBDataSet;
  TDataSource *DVBDataSource;
  TGroupBox *GroupBox2;
  TLabel *DVBSLabel;
  TLabel *DVBTLabel;
  TLabel *DVBCLabel;
  TLabel *Label41;
  TDBEdit *DVBFreqEdit;
  void __fastcall ApplyActionExecute(TObject *Sender);
  void __fastcall ChannelDataSetNewRecord(TDataSet *DataSet);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall ChannelDataSetAfterScroll(TDataSet *DataSet);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall ChannelDataSetBeforePost(TDataSet *DataSet);
  void __fastcall ChannelDataSetBeforeCancel(TDataSet *DataSet);
  void __fastcall ChannelDataSetBeforeDelete(TDataSet *DataSet);
  void __fastcall DVBDataSetNewRecord(TDataSet *DataSet);
private:	// Benutzer-Deklarationen
protected:
  enum {analog_soft, analog_hard, dvb_s, dvb_t, dvb_c, ct_invalid} cardtype;
  int sourceid;
  bool __fastcall isDirty();
public:		// Benutzer-Deklarationen
        virtual __fastcall TChannelWin(TComponent* Owner);
        void __fastcall SetSourceID(int sourceid);
        void __fastcall NewSource();
};
//---------------------------------------------------------------------------
extern PACKAGE TChannelWin *ChannelWin;
//---------------------------------------------------------------------------
#endif
