//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <QControls.hpp>
#include <QStdCtrls.hpp>
#include <QForms.hpp>
#include <DB.hpp>
#include <DBXpress.hpp>
#include <SqlExpr.hpp>
#include <DBClient.hpp>
#include <DBLocal.hpp>
#include <DBLocalS.hpp>
#include <Provider.hpp>
#include <QDBCtrls.hpp>
#include <QDBGrids.hpp>
#include <QExtCtrls.hpp>
#include <QGrids.hpp>
#include <QActnList.hpp>
//---------------------------------------------------------------------------
class TMainWin : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
        TDataSource *CardDataSource;
        TDataSource *SourceDataSource;
        TDBGrid *CardGrid;
        TDBGrid *SourceGrid;
        TLabel *Label1;
        TLabel *Label2;
        TButton *SourceEditButton;
        TButton *CardEditButton;
        TActionList *ActionList1;
        TAction *SourceEditAction;
        TAction *CardEditAction;
  TSQLClientDataSet *SourceDataSet;
  TSQLClientDataSet *CardDataSet;
  TButton *SourceInsertButton;
  TButton *CardInsertButton;
  TButton *SourceDeleteButton;
  TButton *CardDeleteButton;
  TAction *SourceInsertAction;
  TAction *CardInsertAction;
  TAction *SourceDeleteAction;
  TAction *CardDeleteAction;
  TButton *SettingsOpenButton;
  TAction *SettingsOpenAction;
  TAction *Action1;
        void __fastcall SourceEditActionExecute(TObject *Sender);
  void __fastcall CardEditActionExecute(TObject *Sender);
  void __fastcall SourceInsertActionExecute(TObject *Sender);
  void __fastcall CardInsertActionExecute(TObject *Sender);
  void __fastcall SourceDeleteActionExecute(TObject *Sender);
  void __fastcall CardDeleteActionExecute(TObject *Sender);
  void __fastcall SettingsOpenActionExecute(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
        __fastcall TMainWin(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainWin *MainWin;
//---------------------------------------------------------------------------
#endif
